Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1211975 - strange headers included during build of supertux
Summary: strange headers included during build of supertux
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: 22
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Wakely
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-04-15 10:35 UTC by Dan Horák
Modified: 2016-07-19 13:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:43:59 UTC


Attachments (Terms of Use)

Description Dan Horák 2015-04-15 10:35:59 UTC
[  7%] Building CXX object CMakeFiles/supertux2.dir/src/supertux/flip_level_transformer.cpp.o
/usr/bin/c++    -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mcpu=power7 -mtune=power8 -I/usr/include/squirrel  -std=c++11 -I/usr/include/GL -I/usr/include/AL -I/builddir/build/BUILD/supertux-0.3.5 -I/builddir/build/BUILD/supertux-0.3.5/src -I/builddir/build/BUILD/supertux-0.3.5/external/tinygettext/include -I/builddir/build/BUILD/supertux-0.3.5/external/findlocale -I/builddir/build/BUILD/supertux-0.3.5/external/obstack -isystem /usr/include/SDL2    -Wall -Wextra -Wno-unused-parameter -funit-at-a-time -fno-strict-aliasing -o CMakeFiles/supertux2.dir/src/supertux/flip_level_transformer.cpp.o -c /builddir/build/BUILD/supertux-0.3.5/src/supertux/flip_level_transformer.cpp
/usr/bin/cmake -E cmake_progress_report /builddir/build/BUILD/supertux-0.3.5/CMakeFiles 7
[  8%] /usr/bin/cmake -E cmake_progress_report /builddir/build/BUILD/supertux-0.3.5/CMakeFiles 
[  8%] In file included from /usr/include/boost/mpl/aux_/integral_wrapper.hpp:22:0,
                 from /usr/include/boost/mpl/int.hpp:20,
                 from /usr/include/boost/mpl/lambda_fwd.hpp:23,
                 from /usr/include/boost/mpl/aux_/na_spec.hpp:18,
                 from /usr/include/boost/mpl/if.hpp:19,
                 from /usr/include/boost/date_time/constrained_value.hpp:16,
                 from /usr/include/boost/date_time/gregorian/greg_weekday.hpp:12,
                 from /usr/include/boost/date_time/gregorian/greg_calendar.hpp:13,
                 from /usr/include/boost/date_time/gregorian/gregorian_types.hpp:19,
                 from /usr/include/boost/date_time/gregorian/gregorian.hpp:20,
                 from /builddir/build/BUILD/supertux-0.3.5/src/supertux/gameconfig.hpp:25,
                 from /builddir/build/BUILD/supertux-0.3.5/src/supertux/gameconfig.cpp:17:
/usr/include/boost/mpl/vector.hpp:36:49: error: pasting ")" and "20" does not give a valid preprocessing token
 #   include BOOST_PP_STRINGIZE(boost/mpl/vector/AUX778076_VECTOR_HEADER)
                                                 ^
In file included from /usr/include/boost/math/policies/policy.hpp:14:0,
                 from /usr/include/boost/math/special_functions/math_fwd.hpp:28,
                 from /usr/include/boost/math/special_functions/sign.hpp:17,
                 from /usr/include/boost/lexical_cast/detail/inf_nan.hpp:34,
                 from /usr/include/boost/lexical_cast/detail/converter_lexical_streams.hpp:64,
                 from /usr/include/boost/lexical_cast/detail/converter_lexical.hpp:53,
                 from /usr/include/boost/lexical_cast/try_lexical_convert.hpp:34,
                 from /usr/include/boost/lexical_cast.hpp:32,
                 from /usr/include/boost/date_time/string_parse_tree.hpp:13,
                 from /usr/include/boost/date_time/period_parser.hpp:14,
                 from /usr/include/boost/date_time/date_facet.hpp:23,
                 from /usr/include/boost/date_time/gregorian/gregorian_io.hpp:16,
                 from /usr/include/boost/date_time/gregorian/gregorian.hpp:31,
                 from /builddir/build/BUILD/supertux-0.3.5/src/supertux/gameconfig.hpp:25,
                 from /builddir/build/BUILD/supertux-0.3.5/src/supertux/gameconfig.cpp:17:
/usr/include/boost/mpl/vector.hpp:36:73: fatal error: boost/mpl/__attribute__((altivec(vector__)))/__attribute__((altivec(vector__)))20.hpp: No such file or directory
compilation terminated.


for full logs please see http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2467211


Version-Release number of selected component (if applicable):
boost-devel-1.57.0-4.fc22

Comment 1 Jonathan Wakely 2015-04-16 17:19:22 UTC
This is obviously due to the horrible conditional macro on ppc that expands 'vector' to '__attribute__((altivec((vector__)))' but I've been unable to reproduce it in a minimal testcase so far.

Comment 2 Fedora End Of Life 2016-07-19 13:43:59 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.